# List of loggers, handlers and formatters:
[loggers]
keys=root, monitor_summer_snapshots

[handlers]
keys=consoleHandler, fileHandler

[formatters]
keys=generic, verbose

# loggers:
[logger_root]
level=INFO
handlers=consoleHandler

[logger_monitor_summer_snapshots]
level=INFO
handlers=consoleHandler, fileHandler
qualname=monitor_summer_snapshots
propagate=0

# handlers:
[handler_fileHandler]
class=logging.handlers.TimedRotatingFileHandler
level=INFO
formatter=generic
args=('/var/log/monitor_summer_snapshots.log', 'd', 1, 5, None, False, False)

[handler_consoleHandler]
class=StreamHandler
level=INFO
formatter=generic
args=(sys.stdout,)


# formatters:
[formatter_generic]
#format=[%(asctime)s] %(levelname)s (%(process)d) [%(pathname)s:%(lineno)d] %(message)s
format=[%(asctime)s] %(levelname)s (%(process)d) [%(name)s:%(lineno)d] %(message)s
datefmt=
# datefmt='%Y-%m-%d %H:%M:%

[formatter_verbose]
format=[%(asctime)s] %(levelname)s (%(process)d) [%(pathname)s:%(lineno)d] %(message)s %(stack_info)s
datefmt=
